<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TCertRecordMapper">

  <resultMap id="tCertRecordMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TCertRecord">
    <id property="id" column="ID"/>
    <result property="empId" column="EMP_ID"/>
    <result property="empName" column="EMP_NAME"/>
    <result property="empIdcard" column="EMP_IDCARD"/>
    <result property="projectName" column="PROJECT_NAME"/>
    <result property="projectCode" column="PROJECT_CODE"/>
    <result property="post" column="POST"/>
    <result property="contractStart" column="CONTRACT_START"/>
    <result property="contractEnd" column="CONTRACT_END"/>
    <result property="openCurTime" column="OPEN_CUR_TIME"/>
    <result property="seal" column="SEAL"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateTime" column="UPDATE_TIME"/>
    <result property="type" column="TYPE"/>
    <result property="leaveTime" column="LEAVE_TIME"/>
    <result property="leaveReason" column="LEAVE_REASON"/>
    <result property="sex" column="SEX"/>
    <result property="entryTime" column="ENTRY_TIME"/>
    <result property="firstContractTime" column="FIRST_CONTRACT_TIME"/>
    <result property="opener" column="OPENER"/>
    <result property="openTime" column="OPEN_TIME"/>
    <result property="introductionUnit" column="INTRODUCTION_UNIT"/>
    <result property="socialTime" column="SOCIAL_TIME"/>
  </resultMap>
</mapper>
